Package org.bukkit.block.data.type

# Interface Campfire

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`, `Lightable`, `Waterlogged`

public interface Campfire extends Directional, Lightable, Waterlogged
'signal_fire' denotes whether the fire is extra smokey due to having a hay bale placed beneath it.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSignalFire()`
Gets the value of the 'signal_fire' property.
`void`
`setSignalFire(boolean signalFire)`
Sets the value of the 'signal_fire' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Lightable

`isLit, setLit`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### isSignalFire

boolean isSignalFire()
Gets the value of the 'signal_fire' property.

Returns:
  the 'signal_fire' value

### setSignalFire

void setSignalFire(boolean signalFire)
Sets the value of the 'signal_fire' property.

Parameters:
  `signalFire` - the new 'signal_fire' value